import { ReactElement } from "react";
import CountUp from "react-countup";

type StatProps = {
  title: string;
  value: number;
  icon: ReactElement;
};

export function Stat({ title, value, icon }: StatProps): ReactElement {
  return (
    <div className="bg-secondary p-2 rounded-lg flex divide-x justify-center items-center text-center w-fit">
      <div className="pr-2">{icon}</div>
      <div className="pl-2">
        <p>{title}</p>
        <CountUp start={0} end={value} duration={0.75} preserveValue className="text-primary" />
      </div>
    </div>
  );
}
